pydo.vpcs.patch()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.vpcs.patch(
vpc_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
body={
"name": "env.prod-vpc",
"description": "VPC for production environment",
"default": True,
},
)Description
To update a subset of information about a VPC, send a PATCH request to
/v2/vpcs/{vpc_id}.
Parameters
vpc_idstring requiredA unique identifier for a VPC.
namestring optionalExample:
env.prod-vpcThe name of the VPC. Must be unique and may only contain alphanumeric characters, dashes, and periods.
descriptionstring optionalExample:
VPC for production environmentA free-form text field for describing the VPC's purpose. It may be a maximum of 255 characters.
defaultboolean optionalExample:
TrueA boolean value indicating whether or not the VPC is the default network for the region. All applicable resources are placed into the default VPC network unless otherwise specified during their creation. The
defaultfield cannot be unset fromtrue. If you want to set a new default VPC network, update thedefaultfield of another VPC network in the same region. The previous network'sdefaultfield will be set tofalsewhen a new default VPC has been defined.
Request Sample
Response Example
More Information
See /v2/vpcs/{vpc_id} in the API reference for additional detail on responses, headers, parameters, and more.